"use strict";
cc._RFpush(module, '715f1onhmdHiZmAGWheyazK', 'create');
// Script\create.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        // foo: {
        //    default: null,      // The default value will be used only when the component attaching
        //                           to a node for the first time
        //    url: cc.Texture2D,  // optional, default is typeof default
        //    serializable: true, // optional, default is true
        //    visible: true,      // optional, default is true
        //    displayName: 'Foo', // optional
        //    readonly: false,    // optional, default is false
        // },
        // ...

        Fish: {
            default: null,
            type: cc.Prefab
        },

        times: 0
    },

    // use this for initialization
    onLoad: function onLoad() {
        this.init();
    },

    init: function init() {
        this.birdArray = [];
        var FishNum = 200;
        var Fish = null;
        this.FishPool = new cc.NodePool("bird");
        for (var i = 0; i < FishNum; ++i) {
            Fish = cc.instantiate(this.Fish); // 创建节点
            this.FishPool.put(Fish); // 通过 putInPool 接口放入对象池
        }
    },

    createBird: function createBird() {
        var Fish = null;
        if (this.FishPool.size() > 0) {
            Fish = this.FishPool.get();
        } else {
            return;
        }
        Fish.parent = this.node;
        Fish.setPosition(cc.p(700, 0));
        var moveAction = cc.moveTo(10, cc.p(-700, 0));
        var sequenceAction = cc.sequence(moveAction, cc.callFunc(function () {
            this.FishPool.put(Fish);
        }, this));
        Fish.runAction(sequenceAction);
        Fish.getComponent("cc.Animation").play("0");
    },

    // called every frame, uncomment this function to activate update callback
    update: function update(dt) {
        if (this.times % 6 === 0) this.createBird();
        this.node.getChildByName("Label").getComponent("cc.Label").string = this.times;
        this.times++;
    }
});

cc._RFpop();